# OpalMediaFormatPair Class Reference

`#include <transcoders.h>`

Inheritance diagram for OpalMediaFormatPair:

[legend]
Collaboration diagram for OpalMediaFormatPair:
[legend]

## Public Member Functions

Construction
| OpalMediaFormatPair (const OpalMediaFormat &inputMediaFormat, const OpalMediaFormat &outputMediaFormat)
Overrides from PObject
void | PrintOn (ostream &strm) const
virtual Comparison | Compare (const PObject &obj) const
Operations
const OpalMediaFormat & | GetInputFormat () const
const OpalMediaFormat & | GetOutputFormat () const

## Protected Attributes

OpalMediaFormat | inputMediaFormat
OpalMediaFormat | outputMediaFormat

## Detailed Description

This class described an OpalTranscoder in terms of a pair of OpalMediaFormat instances, for input and output.

## Constructor & Destructor Documentation

OpalMediaFormatPair::OpalMediaFormatPair | ( | const OpalMediaFormat & | inputMediaFormat,
|  | const OpalMediaFormat & | outputMediaFormat |
| ) |  |  |

Create a new transcoder implementation.

Parameters:

  inputMediaFormat | Input media format
  outputMediaFormat | Output media format

## Member Function Documentation

virtual Comparison OpalMediaFormatPair::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank. This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Parameters:

  obj | Object to compare against.

const OpalMediaFormat& OpalMediaFormatPair::GetInputFormat | ( |  | ) | const`[inline]`

Get the names of the input or output formats.

const OpalMediaFormat& OpalMediaFormatPair::GetOutputFormat | ( |  | ) | const`[inline]`

Get the names of the input or output formats.

void OpalMediaFormatPair::PrintOn | ( | ostream & | strm | ) | const

Standard stream print function. The PObject class has a << operator defined that calls this function polymorphically.

Parameters:

  strm | Stream to output text representation

## Field Documentation

OpalMediaFormat OpalMediaFormatPair::inputMediaFormat `[protected]`

OpalMediaFormat OpalMediaFormatPair::outputMediaFormat `[protected]`

The documentation for this class was generated from the following file:

- transcoders.h